Check a UAC Connection Registration Status
Returns the live SIP registration status for a UAC connection. Reports whether the endpoint is currently registered (status) and the timestamp of the last SIP registration event (last_registration).
POST
/
uac_connections
/
{id}
/
actions
/
check_registration_status
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.uacConnections.actions.checkRegistrationStatus('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.uac_connections.actions.check_registration_status(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.UacConnections.Actions.CheckRegistrationStatus(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.uacconnections.actions.ActionCheckRegistrationStatusParams;
import com.telnyx.sdk.models.uacconnections.actions.ActionCheckRegistrationStatusResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionCheckRegistrationStatusResponse response = client.uacConnections().actions().checkRegistrationStatus("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.uac_connections.actions.check_registration_status("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->uacConnections->actions->checkRegistrationStatus('id');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx uac-connections:actions check-registration-status \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/uac_connections/{id}/actions/check_registration_status \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "registration_status",
"status": "Registered",
"sip_username": "1006",
"ip_address": "192.0.2.14",
"transport": "UDP",
"port": 5060,
"user_agent": "Linphone/4.0.0",
"last_registration": "2026-08-31T20:00:00Z"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Response
Successful response with details about a credential connection registration status.
Show child attributes
Show child attributes
Example:
{ "record_type": "registration_status", "status": "Expired", "sip_username": "rogerp", "ip_address": "190.106.106.121", "transport": "UDP", "port": 37223, "user_agent": "Z 5.4.12 v2.10.13.2-mod", "last_registration": "2021-09-28T15:11:02" }
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.uacConnections.actions.checkRegistrationStatus('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.uac_connections.actions.check_registration_status(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.UacConnections.Actions.CheckRegistrationStatus(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.uacconnections.actions.ActionCheckRegistrationStatusParams;
import com.telnyx.sdk.models.uacconnections.actions.ActionCheckRegistrationStatusResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionCheckRegistrationStatusResponse response = client.uacConnections().actions().checkRegistrationStatus("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.uac_connections.actions.check_registration_status("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->uacConnections->actions->checkRegistrationStatus('id');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx uac-connections:actions check-registration-status \
--api-key 'My API Key' \
--id idcurl --request POST \
--url https://api.telnyx.com/v2/uac_connections/{id}/actions/check_registration_status \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "registration_status",
"status": "Registered",
"sip_username": "1006",
"ip_address": "192.0.2.14",
"transport": "UDP",
"port": 5060,
"user_agent": "Linphone/4.0.0",
"last_registration": "2026-08-31T20:00:00Z"
}
}